### Signal

# Gtk TreeModel::row-has-child-toggled

since: 4.0

#### Declaration

    void
    row_has_child_toggled (
      GtkTreeModel* self,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a row has gotten the first child row or lost its last child row.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` identifying the row.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter` pointing to the row.

  The data is owned by the caller of the function.